#ifndef VB_TYPES_H_
#define VB_TYPES_H_

#define WORD  unsigned long    //Full 32bit
#define HWORD unsigned short   //16bit
#define BYTE  unsigned char    //8bit

#ifdef WIN32
#define WIN32_LEAN_AND_MEAN		// Exclude rarely-used stuff from Windows headers


// Windows Header Files:
	#define INT64 _int64 //64 bit int
	#define INT64U unsigned _int64 //64 bit Unsigned
	#define VB_INLINE __inline
#else // Not Win32
	#define INT64 long long int //64 bit int
	#define INT64U long long unsigned int //64 bit Unsigned
	#define VB_INLINE inline
#endif

#endif// Header Include